type status = PASSED | FAILED of string option
type test = TEST of (unit -> status) * string
val validate: out_channel * test -> bool
val validateAll: out_channel -> test list -> bool
val expectFloat: float * float * float * string -> status
val expectInt: int * int * int * string -> status
val expectString: string * string * string -> status
val doTests: out_channel -> test list -> int
