type context = SchmooContext | DirectiveContext | ReferenceContext

(* [context] holds the current scanning context used 
 * by parser and scanner. Don't access directy.
 *)
let context	    = ref SchmooContext

let contextAsString = function
    | SchmooContext    -> "schmoo"
    | DirectiveContext -> "directive"
    | ReferenceContext -> "reference"

(* get and set context *)
 
let setContext c    = context := c (* ; print_endline (contextAsString c) *)
let getContext ()   = !context


